=== svg/Makefile ===
#***************************************************************************************************
#                                             Makefile                                             *
#                                            ----------                                            *
# Description : Build system for GNU SPICE GUI project SVG diagrams (these drawings can be edited  *
#               with GNU drawing package Inkscape).                                                *
# Started     : 2004-04-06                                                                         *
# Last update : 2015-01-09                                                                         *
# Copyright   : (C) 2004 by MSWaters                                                               *
#***************************************************************************************************

#***************************************************************************************************
#                                                                                                  *
#       This program is free software; you can redistribute it and/or modify it under the          *
#       terms of the GNU General Public License as published by the Free Software Foundation;      *
#       either version 3 of the License, or (at your option) any later version.                    *
#                                                                                                  *
#***************************************************************************************************

#***************************************************************************************************
# Specify string values
#***************************************************************************************************

# Which SVG converter
CNVTR = inkscape

# Directories
ROOT := $(shell cd .. ; pwd)
OBJDIR = $(ROOT)/html

# Objects
OBJS := $(patsubst %.svg,$(OBJDIR)/%.png,$(wildcard *.svg))

#***************************************************************************************************
# Make these targets
#***************************************************************************************************

all : $(OBJS)

# Compiler Rules
# ($< is the name of the first dependency)
# ($@ is the file name of the target)
# (-L is the output graphics language)
# (-m is the magnification at which the figure is rendered)

$(OBJDIR)/%.png : %.svg
	$(CNVTR) -b white -D -f $< -e $@

#***************************************************************************************************
# Remove temporary files and backup files
#***************************************************************************************************

clean :
	rm -f Makefile~ *.bak $(OBJDIR)/OM-*.png

#***************************************************************************************************
# Specify phony targets
#***************************************************************************************************

.PHONY : clean

#***************************************************************************************************
