=== debian/changelog ===
gspiceui (1.1.00+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: use short dh
  * Drop menu file and the icon used only by this
  * Standards-Version: 4.1.3
  * d/rules: Drop get-orig-source target in favour of Files-Excluded,
    adapt d/watch accordingly
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 10:45:49 +0100

gspiceui (1.1.00+dfsg-1) unstable; urgency=medium

  * New release version
  * Bump standards version to 3.9.6
  * Change wx dependencies to version 3.0 (Closes: #750743)
  * Update copyright file, new download site and license changed to GPL-3
  * Add patch 01_makefile to fix errors in makefile
  * Add patch 02_fix_compilation to fix a source file
  * Add patch 03_manpage to fix minor errors in manpage
  * Fix description (Closes: #749860)
  * Change dependency on gwave to suggests
  * Make vcs fields canonical
  * Update hardening wrappers to dpkg-buildflags. It doesn't compile
    so they are commented out in this release.
  * Add patch to change gwave2 to gwave
  * Add more information on how to download sources to README.Debian
  * Add patch 05_manual_path to fix path to html manual
  * Fix project homepage in control file
  * Remove DM allow upload
  * Correct version in desktop file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 21 May 2015 22:05:08 +0200
