=== debian/control ===
Source: gspiceui
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Section: electronics
Priority: optional
Build-Depends: debhelper (>= 11~),
               libwxgtk3.0-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/gspiceui.git
Vcs-Git: https://salsa.debian.org/science-team/gspiceui.git
Homepage: http://sourceforge.net/projects/gspiceui/

Package: gspiceui
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         geda-gschem,
         geda-gnetlist
Recommends: gnucap
Suggests: ngspice,
          gwave
Description: Graphical user interface for gnucap and ngspice
 Gspiceui is a graphichal user interface for the two freely available
 electronic circuit engines: GNU-Cap and Ng-Spice.
 Current features are:
  * Import gschem schematic files using gentlist.
  * Load and parse circuit description (net list) files.
  * Provides a GUI interface for GNU-Cap OP, DC, AC and Transient analyses and
 generates appropriate simulator commands based on user input. 
  * Provides a GUI interface for Ng-Spice DC, AC and Transient analyses and
 generates appropriate simulator commands based on user input. 
  * The raw output may be viewed for any processes initiated by gspiceui.
