=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://sf.net/gspiceui/gspiceui-v(.*)\.tar\.gz
