## gspiceui 1.2.36+dfsg

=== debian/changelog ===
gspiceui (1.2.36+dfsg-1) unstable; urgency=medium

  * Bump standards to 4.4.0
  * Add gbp.conf
  * Refresh all patches
  * Change dependency to libwxgtk3.0-gtk3-dev (Closes: #933457)
  * Add src/test-apps/obj/ to files excluded
  * Fix clean target

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 21 Sep 2019 16:00:05 +0200

gspiceui (1.1.00+dfsg-3) unstable; urgency=medium

  * Fix build error, thanks to Helmut Grohne (Closes: #894038)
  * Fix typo in description (Closes: #862047)
  * Reproducible build. Thanks to Alexis Bienvenüe (Closes: #823239)
  * Bump standards version to 4.2.1, no changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 29 Sep 2018 20:04:09 +0200
