=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Section: electronics
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               libwxgtk3.0-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/science-team/gspiceui.git
+               libwxgtk3.0-gtk3-dev
+Standards-Version: 4.4.0
+Homepage: http://sourceforge.net/projects/gspiceui/
 Vcs-Git: https://salsa.debian.org/science-team/gspiceui.git
-Homepage: http://sourceforge.net/projects/gspiceui/
+Vcs-Browser: https://salsa.debian.org/science-team/gspiceui
 
 Package: gspiceui
 Architecture: any
@@ -19,7 +19,7 @@
 Suggests: ngspice,
           gwave
 Description: Graphical user interface for gnucap and ngspice
- Gspiceui is a graphichal user interface for the two freely available
+ Gspiceui is a graphical user interface for the two freely available
  electronic circuit engines: GNU-Cap and Ng-Spice.
  Current features are:
   * Import gschem schematic files using gentlist.
