=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,16 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	#dh_auto_clean #Command hangs
+	rm -rf bin/
+	rm -rf src/obj/
+	rm -rf src/test-apps/obj
+	rm -rf debian/.debhelper/
+	rm -f debian/debhelper-build-stamp
+	rm -rf debian/files
+	rm -rf debian/gspiceui/
+
 override_dh_auto_build:
 	CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
